/** \file Data.h
    \brief Acquired oscilloscope data
*/

#ifndef DataH
#define DataH


class Data
{
public:
    int GetBitsPerSample {
        return iBitsPerSample;
    }
    int GetChannelCount {
        return iChannelCount;
    }
    void SetBitsPerSample(int bits);
    void SetChannelCount(int channels);
    /** \brief Get new data buffer
        \param ptr to set
        \return samples count in passed buffer
    */
    int Get(void **buf);
private:
    int iBitsPerSample;
    int iChannelCount;
};

#endif // DataH
